# libpysal.cg.convex_hull

libpysal.cg.convex_hull(points)

  Returns the convex hull of a set of points.

  Parameters:
    points `python:list`

      A list of points for computing the convex hull.

  Returns:
    stack `python:list`

      A list of points representing the convex hull.

  Examples

      >>> points = [Point((0, 0)), Point((4, 4)), Point((4, 0)), Point((3, 1))]
      >>> convex_hull(points)
      [(0.0, 0.0), (4.0, 0.0), (4.0, 4.0)]